%define module 	Email-Find
%define version 0.09
%define release 2%{?dist}

Summary:	Email-Find perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Email/%{module}-%{version}.tar.bz2
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Email-Valid
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Email::Find is a module for finding a *subset* of RFC 822 email
addresses in arbitrary text (see the section on "CAVEATS"). The
addresses it finds are not guaranteed to exist or even actually be email
addresses at all (see the section on "CAVEATS"), but they will be valid
RFC 822 syntax.

Email::Find will perform some heuristics to avoid some of the more
obvious red herrings and false addresses, but there's only so much which
can be done without a human.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email/Find*
%{_mandir}/*/*


%changelog
* Tue Dec 27 2005 Ed Avis <ed@membled.com> 0.09-1epa
- port to Fedora

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 0.09-2mdk
- yearly rebuild

* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.09-1mdk
- initial mdk package
